import { useObservableState } from '@equinor/fusion-observable/react';
import { useCallback } from 'react';
import { useFramework } from '../useFramework';
export const useCurrentApp = () => {
    const provider = useFramework().modules.app;
    if (!provider) {
        throw Error('Current framework does not have AppModule configured');
    }
    const currentApp = useObservableState(provider.current$);
    const setCurrentApp = useCallback((appKey) => provider.setCurrentApp(appKey), [provider]);
    return {
        currentApp,
        setCurrentApp,
    };
};
export default useCurrentApp;
//# sourceMappingURL=useCurrentApp.js.map